Dansk Arch Linux forum

For det danske Arch Linux community

Du er ikke logget ind.


Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#1 09-05-2009 13:20:56

sbmadsen
Ny på Archforum
Registreret: 16-10-2008
Indlæg: 6

[LØST] gnome-power-manager fejler ved opdatering

Jeg opdaterede archlinux fredag aften og fik en lagersegment fejl ved installation af gnome-power-manager.  Ved forsoeg paa reinstallation gennem shaman faaes foelgende output:
Naar gnome startes op fremkommer der en popup der fortaeller at installationen af gnome stroemstyring er slaaet fejl. Fejlen paavirker osse min generelle opsaetning saasom tastaturlayout, muse-indstillinger og compiz bliver ikke loadet.
Jeg haaber der er nogle forslag til at loose problemet.


OUTPUT FRA SHAMAN:

* Validating Transaction

==> warning: gnome-power-manager-2.26.1-2 is up to date -- reinstalling


Resolving Dependencies...
Looking for Inter-Conflicts...

* Queue Processing Started

Checking package integrity...
Checking for Conflicts...
Upgrading gnome-power-manager...
Executing pre_upgrade scriptlet for gnome-power-manager...
Scriptlet processed successfully!
Executing post_upgrade scriptlet for gnome-power-manager...
Upgraded gnome-power-manager successfully (2.26.1-2 -> 2.26.1-2)
usr/sbin/gconfpkg: line 18:  4318 Lagersegmentfejl        GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source` /usr/bin/gconftool-2 --makefile-install-rule /usr/share/gconf/schemas/${pkgname}.schemas > /dev/null
Scriptlet processed successfully!

* Queue processed successfully!

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 333

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 333

#2 09-05-2009 17:55:17

julemand101
Admin
Fra: Brabrand
Registreret: 18-04-2006
Indlæg: 780
Website

Re: [LØST] gnome-power-manager fejler ved opdatering

En vigtig detalje du altid skal fortælle er om du bruger 64 bit. Nu kan man dog tydeligt se at du bruger 64 bit ud fra versionen på pakken (2.26.1-2 findes kun til 64 bit). En anden detalje er at det altid er rart hvis folk opdaterer med pacman eller yaourt så output ligner lidt noget man kender. Især hvis det fejler med fx shaman.

Problemet du har fået er et rimeligt stort et og egentlig burde det være rettet. Fejlen er at den nye version af gconfpkg ikke rigtigt vil virke med mindre man har et engelsk locale. Fejlen er beskrevet her:
http://bbs.archlinux.org/viewtopic.php?id=69138
http://bugs.archlinux.org/task/14107

En løsning er følgende:
http://bbs.archlinux.org/viewtopic.php? … 29#p529929

Jeg har ikke lige selv en Gnome installation da min bærbar stadig er til reparation men ellers ville jeg gerne teste om løsningen virker.


Administrator for Archlinux.dk

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#3 10-05-2009 09:07:02

sbmadsen
Ny på Archforum
Registreret: 16-10-2008
Indlæg: 6

Re: [LØST] gnome-power-manager fejler ved opdatering

Tusind tak for hjælpen. Det nævnte script løste problemet.
Vil det fremover være god latin at benytte engelsk tastatur layout ved opdatering?

Grunden til at jeg valgte at benytte Shaman var at et af symptomerne på fejlen var, at jeg ikke kunne starte en terminal :-).
Normalt benytter jeg yaourt til pakkeadministration og opdatering.

Fremover vil jeg huske at nævne jeg benytter 64bit ved oprettelse af indlæg.

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#4 10-05-2009 12:53:40

julemand101
Admin
Fra: Brabrand
Registreret: 18-04-2006
Indlæg: 780
Website

Re: [LØST] gnome-power-manager fejler ved opdatering

Nej det er en bug det her så det skulle ikke være nødvendigt at skifte locale når der opdateres for fremtiden.


Administrator for Archlinux.dk

Offline

 

Board footer

Powered by FluxBB